Subject: Re: git-fast-import

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 6 Feb 2007 00:48:08 -0500

Nicolas Pitre <[email-masked]> wrote:
> On Mon, 5 Feb 2007, Shawn O. Pearce wrote:
> > The time of the change is specified by `<time>` as the number of
> > seconds since the UNIX epoc (midnight, Jan 1, 1970, UTC) and is
> > written in base-10 notation using US-ASCII digits.  The committer's
> > timezone is specified by `<tz>` as a positive or negative offset
> > from UTC, in minutes.  For example EST would be expressed in `<tz>`
> > by ``-0500''.
> 
> I think this is quite error prone, demonstrated by the fact that we 
> screwed that up ourselves on a few occasions.  I think that the frontend 
> should be relieved from this by letting it provide the time of change in 
> a more natural format amongst all possible ones(like RFC2822 for 
> example) and gfi should simply give it to parse_date().

This is a really good point.  Its a little bit of work to switch
to parse_date(); I'll try to get it done tomorrow night.

-- 
Shawn.